Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen.font.table
Interface GlyphDescription

All Known Implementing Classes:
  GlyfDescript

public interface GlyphDescription

Specifies access to glyph description classes, simple and composite.

Method Summary
`int` | `getContourCount()`
`int` | `getEndPtOfContours(int i)`
`byte` | `getFlags(int i)`
`int` | `getPointCount()`
`short` | `getXCoordinate(int i)`
`short` | `getXMaximum()`
`short` | `getXMinimum()`
`short` | `getYCoordinate(int i)`
`short` | `getYMaximum()`
`short` | `getYMinimum()`
`boolean` | `isComposite()`

Method Detail

### getEndPtOfContours

    public int getEndPtOfContours(int i)

### getFlags

    public byte getFlags(int i)

### getXCoordinate

    public short getXCoordinate(int i)

### getYCoordinate

    public short getYCoordinate(int i)

### getXMaximum

    public short getXMaximum()

### getXMinimum

    public short getXMinimum()

### getYMaximum

    public short getYMaximum()

### getYMinimum

    public short getYMinimum()

### isComposite

    public boolean isComposite()

### getPointCount

    public int getPointCount()

### getContourCount

    public int getContourCount()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.